@import url('https://fonts.googleapis.com/css2?family=Cairo:wght@300;400&display=swap');

* {
  margin: 0;
  padding:0;
  box-sizing: border-box;
  font-family: 'Cairo', sans-serif;
}

:root {
 --font-color: #4a4a4a;
 --dark-bg: #242424;
 --dark-bg-2: hsl(220deg 10.71% 10.98%);
 --slim-font-weight: 400;
 --primary-color: #2882fa;
 --danger-color: #ef5a5d;
 --border-color: hsl(220deg 8.57% 20.31%);
 --gray-color: #3d3f41;
}

::-webkit-scrollbar {
  width: 5px;
}

::-webkit-scrollbar-track {
  background-color: var(--font-color);
  border-radius: 20px;
}

::-webkit-scrollbar-thumb {
  background-color: var(--primary-color);
  border-radius: 20px;
}

body {
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',
    'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

/* start global classes */
.disabled {
  cursor: not-allowed !important;
}
/* end global classes */

/* start setup page */
.setup-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: absolute;
  inset: 0;
  color: var(--font-color);
  overflow: auto;
}

.setup-wrapper header {
  font-size: 2.5rem;
}

.setup-wrapper .content {
  width: 40%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.setup-wrapper .video-wrapper {
  background-color: var(--dark-bg);
  width: 100%;
  border-radius: 19px;
  display: flex;
  flex-direction: column;
  overflow: hidden;
  align-items: center;
  justify-content: center;
  margin: 14px 0px;
  position: relative;
  padding: 30px;
  height: 339.4px;
}

.setup-wrapper .video-wrapper video {
  width: 100%;
  height: 100%;
  position: absolute;
  border-radius: 14px;
  display: none;
}


.setup-wrapper .video-wrapper .icon-wrapper {
  background-color: rgba(255,255,255,.09);
  padding: 40px;
  border-radius: 70px;
}

.setup-wrapper .video-wrapper .controls-wrapper {
  background-color: #1a1a1a;
  margin-top: 30px;
  border-radius: 14px;
  display: flex;
  justify-content: center;
  overflow: hidden;
}

.setup-wrapper .video-wrapper .controls-wrapper.floated {
  position: absolute;
  width: 192px;
  bottom: 30px;
  margin: 0;
}

.setup-wrapper .video-wrapper .controls-wrapper .controls-element {
  display: flex;
  flex-direction: column;
  align-items: center;
  color: #a8a8a8;
  cursor: pointer;
  flex: 50%;
  padding: 5px;
}

.setup-wrapper .video-wrapper .controls-wrapper .controls-element:hover {
  background-color: #4a4a4a;
}

.setup-wrapper .video-wrapper .controls-wrapper .controls-element span {
  font-size: 13px;
  margin-top: 5px;
}

.setup-wrapper .content button {
  width: 100%;
  outline: none;
  border: none;
  font-size: 20px;
  font-weight: bold;
  padding: 10px;
  border-radius: 10px;
  color: #fff;
  background: rgb(45 140 255);
  cursor: pointer;
}

.setup-wrapper .content button.disabled {
  background-color: rgb(116, 178, 255);
}

/* end setup page */

/* start not found page */
.not-found-wrapper {
  position: absolute;
  inset: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

/* end not found page */

/* begin session page */
.body-wrapper {
  background-color: var(--dark-bg-2);
  position: absolute;
  inset: 0;
  display: flex;
  flex-direction: column;
  overflow: hidden;
}

/* begin header section */
.body-wrapper .session-header {
  border-bottom: 1px solid var(--border-color);
  display: flex;
  /* align-items: center; */
}

.body-wrapper .session-header > img {
  width: 25px;
  height: 25px;
  margin: 20px;
}

.body-wrapper .session-header > section {
  display: flex;
  align-items: center;
  color: #ccc;
  justify-content: space-between;
  flex-grow: 2;
  border-left: 1px solid var(--border-color);
  padding: 0 20px;
}

.body-wrapper .session-header > section h4 {
  font-weight: var(--slim-font-weight) !important;
}

.body-wrapper .session-header > section article {
  display: flex;
  gap: 10px;
}

.body-wrapper .session-header > section article section {
  color: #fff;
  border-radius: 20px;
  display: flex;
  align-items: center;
  gap: 10px;
  padding: 5px 20px;
  font-size: 14px;
  cursor: pointer;
}

.primary {
  background-color: var(--primary-color);
}

.danger {
  background-color: var(--danger-color);
}

.body-wrapper .session-header > section article:nth-child(2)  {
  gap:initial;
}

.body-wrapper .session-header > section article:nth-child(2) section {
  border-radius: 50%;
  background-color: var(--primary-color);
  width: 30px;
  height: 27px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 5px;
  margin-right: -10px;
  border: 1px solid #ccc;
  font-size: 14px;
  font-weight: var(--slim-font-weight);
}

.body-wrapper .session-header > section section {
  flex-grow: 2;
  display: flex;
  justify-content: flex-end;
  gap: 20px;;
  align-items: center;
}

.body-wrapper .session-header > section article:nth-child(2) > span {
  font-size: 14px;
  margin-left: 20px;
  padding: 5px;
  font-weight: var(--slim-font-weight);
}

/* end header section */

/* begin content section */
.body-wrapper .content-wrapper {
  display: flex;
  justify-content: flex-end;
  padding: 20px;
  flex-grow: 2;
}

.body-wrapper .content-wrapper aside {
  /* flex-basis: 25%; */
  width: 25%;
  position: absolute;
  right: -25%;
  padding: 20px 10px;
  transition: .6s ease-in-out;
}

.body-wrapper .content-wrapper aside.open {
  right: 0;
}

.body-wrapper .content-wrapper aside > article {
  background-color: #2b2d2e;
  border-radius: 10px;
  padding: 10px;
  display: flex;
  flex-direction: column;
}

.body-wrapper .content-wrapper aside > article > ul {
  display: flex;
  /* justify-content: space-between; */
  background-color: #1a1a1a;
  border-radius: 10px;
}

.body-wrapper .content-wrapper aside > article ul li {
  padding: 5px;
  color: #fff;
  text-transform: capitalize;
  flex: 1;
  text-align: center;
  font-size: 14px;
  font-weight: var(--slim-font-weight);
  border-radius: 10px;
  margin: 8px;
  cursor: pointer;
}

.body-wrapper .content-wrapper aside > article ul li.active {
  background-color: var(--primary-color);
  transition: .5s ease-in-out;
}

.body-wrapper .content-wrapper aside > article section {
  flex-grow: 2;
  padding: 20px 0;
  display: none;
}

.body-wrapper .content-wrapper aside > article section.active {
  display: block;
}

.body-wrapper .content-wrapper aside > article section ul {
  overflow: auto;
  height: 420px;
}

.body-wrapper .content-wrapper aside > article section ul li {
  background-color: #1a1a1a;
  display: flex;
  align-items: center;
  gap: 10px;
  padding: 10px;
  margin: 0 10px 10px 0;
}

.body-wrapper .content-wrapper aside > article section:first-of-type ul li span:first-child {
  border-radius: 50%;
  background-color: var(--primary-color);
  width: 30px;
  height: 30px;
}

.body-wrapper .content-wrapper aside > article section:first-of-type ul li span:last-child {
  margin-left: auto;
  margin-right: 10px;
  display: flex;
  gap: 10px;
}

.body-wrapper .content-wrapper aside > article section:last-of-type ul li { 
  display: block;
}

.body-wrapper .content-wrapper aside > article section:last-of-type ul li.me {
  background-color: var(--gray-color);
}

.body-wrapper .content-wrapper aside > article section:last-of-type ul li p {
  display: flex;
  justify-content: space-between;
}

.body-wrapper .content-wrapper aside > article section:last-of-type ul li p span:last-child {
  color: var(--font-color)
}

.body-wrapper .content-wrapper aside > article section:last-of-type ul li.me span:last-child{
  color: #fff;
}

.body-wrapper .content-wrapper aside > article section:last-of-type div {
  background: #1a1a1a;
  display: flex;
  justify-content: space-between;
  border-radius: 10px;
  padding: 5px;
  overflow: hidden;
}

.body-wrapper .content-wrapper aside > article section:last-of-type div input {
  background: transparent;
  border: none;
  color: #fff;
  padding: 10px;
  flex-grow: 2;
}

.body-wrapper .content-wrapper aside > article section:last-of-type div input:focus {
  outline: none;
}

.body-wrapper .content-wrapper aside > article section:last-of-type div button {
  background: var(--primary-color);
  border: none;
  outline: none;
  color: #fff;
  font-size: 1.2rem;
  padding: 5px 10px;
  border-radius: 10px;
  display: flex;
  align-items: center;
}

ul {
  list-style: none;
}

.body-wrapper .content-wrapper > article.video-container {
  flex-basis: 100%;
  display: flex;
  flex-direction: column;
  transition: .6s ease-in-out;
}

.body-wrapper .content-wrapper > article.video-container.open {
  margin-right: 25%;
}

.body-wrapper .content-wrapper > article.video-container .video-stream {
  flex-grow: 2;
  /* background-color: #2882fa; */
  position: relative;
}

.body-wrapper .content-wrapper > article.video-container .controls {
  display: flex;
  justify-content: space-between;
  margin-top: 10px;
  align-items: center;
}

.body-wrapper .content-wrapper > article.video-container .controls .control-btn {
  border-radius: 10px;
  font-size: 1.3rem;
  padding: 13px;
  margin-right: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}

.body-wrapper .content-wrapper .video-container .video-stream {
  display: flex;
  border-radius: 10px;
  overflow: hidden;
}

.body-wrapper .content-wrapper .video-container .video-stream .hero-stream {
  /* background-color: red; */
  flex-grow: 2;
}

.body-wrapper .content-wrapper .video-container .video-stream .participants-video {
  /* background-color: green; */
  /* flex-grow: 1; */
}

.body-wrapper .content-wrapper .video-container .video-stream .participants-video {
  width: 100%;
}

.body-wrapper .content-wrapper .video-container .video-stream .participants-video > div, 
.body-wrapper .content-wrapper .video-container .hero-stream  > div {
  position: absolute;
  background: #4a4e51;
  border-radius: 10px;
  overflow: hidden;
}

.body-wrapper .content-wrapper .video-container .participants-video div div, 
.body-wrapper .content-wrapper .video-container .hero-stream div div {
  position: absolute;
  display: flex;
  width: 100%;
  height: 100%;
}

.body-wrapper .content-wrapper .video-container .participants-video div div video ,
  .body-wrapper .content-wrapper .video-container .hero-stream div div video {
  position: absolute;
  width: 100%;
  height: 100%;
  transform: scaleX(-1);
}

.body-wrapper .content-wrapper .video-container .participants-video div:first-child div video, 
  .body-wrapper .content-wrapper .video-container .hero-stream div:first-child div video {
  object-fit: fill;
}


.name-wrapper {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: aliceblue;
  font-size: 6rem;
  background: var(--primary-color);
  color: #fff;
  padding: 10px;
  border-radius: 50%;
  width: 150px;
  height: 150px;
  display: flex;
  align-items: center;
  justify-content: center;
  visibility: hidden;
  z-index: 2;
}

.full-name-wrapper {
  background: #242424;
  position: absolute;
  bottom: 10px;
  right: 10px;
  color: #fff;
  font-size: 12px;
  z-index: 999;
  padding: 5px 10px;
  border-radius: 20px;
  opacity: .7;
}

.participant-audio-status {
  position: absolute;
  top: 10px;
  left: 10px;
  background: #242424;
  padding: 5px;
  border-radius: 50%;
  width: 30px;
  height: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 999;
  color:#fff;
  opacity: .7;
}

.body-wrapper .content-wrapper .video-container .hero-stream {
  position: relative;
}

.body-wrapper .content-wrapper .video-container .hero-stream > div {
  top: 0;
  bottom: 0;
  width: 80%;
  height: 100%;
  margin: 0 10%;
}

.snaps-inline {
  scroll-snap-type: inline mandatory;
}

.snaps-inline > * {
  scroll-snap-align: start;
}

.share-switcher {
  display: flex;
  gap: 0 !important;
  align-items: center;
}
.share-switcher article:first-child {
  background: #43A047;
  padding-inline: 10px;
}

.share-switcher article:first-child h4 {
  font-size: 15px;
}

.btn-share {
  background-color: var(--primary-color) !important;
  pointer-events: none;
}
/* end content section */



/* end session page */

